Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.layout
Class HtmlLayout.Builder

    java.lang.Object
      org.apache.logging.log4j.core.layout.HtmlLayout.Builder

All Implemented Interfaces:
  Builder<HtmlLayout>

Enclosing class:
  HtmlLayout

    public static class HtmlLayout.Builder

extends Object
implements Builder<HtmlLayout>

Method Summary
`HtmlLayout` | `build()` Builds the plugin object after all configuration has been set.
`HtmlLayout.Builder` | `withCharset(Charset charset)`
`HtmlLayout.Builder` | `withContentType(String contentType)`
`HtmlLayout.Builder` | `withFontName(String fontName)`
`HtmlLayout.Builder` | `withFontSize(HtmlLayout.FontSize fontSize)`
`HtmlLayout.Builder` | `withLocationInfo(boolean locationInfo)`
`HtmlLayout.Builder` | `withTitle(String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### withLocationInfo

    public HtmlLayout.Builder withLocationInfo(boolean locationInfo)

### withTitle

    public HtmlLayout.Builder withTitle(String title)

### withContentType

    public HtmlLayout.Builder withContentType(String contentType)

### withCharset

    public HtmlLayout.Builder withCharset(Charset charset)

### withFontSize

    public HtmlLayout.Builder withFontSize(HtmlLayout.FontSize fontSize)

### withFontName

    public HtmlLayout.Builder withFontName(String fontName)

### build

    public HtmlLayout build()

  Description copied from interface: `Builder`
  Builds the plugin object after all configuration has been set. This will use default values for any unspecified attributes for the plugin.

  Specified by:
    `build` in interface `Builder<HtmlLayout>`
  Returns:
    the configured plugin instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.